# The message template people will get when they access the bank or do anything to/with it
tell_format = '#green[#lightgreenBBank#green]: '

# for intrest rates, the amount of intrest you get on each event. to disable something just put it at 0

'''
events that are fired:
player_spawn - everytime the person spawns
player_activate - when they join your server
round_end - when the round ends
round_won - gives intrest to the wining team
round_survived - gives intrest to the survivors of the winning team
map_change - whenever the map changes Note: player_activate is also fired for everyone on that map
winners_of_map - gives intrest to the winners at the end of the map
bomb_plant - whenever a terrorist plants the bomb
bomb_defuse - whenever a CT defuses the bomb
bomb_explode - whenever the bomb explodes
'''

intrest_rates = {
	'player_spawn': 0.00001,
	'player_activate': 0.0005,
	'round_end': 0.00001,
	'round_won': 0.00001,
	'round_survived': 0.00002,
	'map_change': 0.00026,
	'bomb_plant': 0.00001,
	'bomb_defuse': 0.00002,
	'bomb_explode': 0.00001,
	'hostage_rescue': 0.0000025
}

'''
account types are managed in game, in the admin menu which can be accessed by typing !badmin, badmin or either of those in console
if you don't want many account types. just ignore them and keep the stuff in default the way you like it.

Options are:
	max_balance - the max amount of cash a person can have in the bank 0 = infinite
	intrest_multiplier - the amount of extra intrest that the person gets (multiplied by numbers specified in intrest_rates above)
	max_withdrawels the amount of withdrawels the person can make per round 0 = infinite
	
	you may easily add your own account types by following the formulas. if you want another one, make sure there's a comma after the second last account's }
	but make sure that the second last } out of the whole thingy does not.
'''
account_types = {
	'Default':
		{
		'max_balance': 2000000,
		'intrest_multiplier': 1,
		'max_withdraws': 4
		},
	'Bronze':
		{
		'max_balance': 3000000,
		'intrest_multiplier': 1.1,
		'max_withdraws': 5
		},
	'Silver':
		{
		'max_balance': 4000000,
		'intrest_multiplier': 1.2,
		'max_withdraws': 6
		},
	'Gold':
		{
		'max_balance': 5000000,
		'intrest_multiplier': 1.3,
		'max_withdraws': 7
		},
	'Platinum':
		{
		'max_balance': 6000000,
		'intrest_multiplier': 1.5,
		'max_withdraws': 8
		}
}
# The amount of money a person gets for creating a bank account
start_cash = 5000

# The amount of players to show in the top
players_in_top = 10

# Whether or not a person may withdraw on the first round of the map
withdraw_on_first_round = 1

# If 1, it'll tell you every time you gain intrest into your account if 0, it'll tell you once every time you spawn
bbank_tell_every_intrest = 1

# Admins go here, seperate them with a comma and have them in quotation marks
admins = ('STEAM_0:0:11228704', 'STEAM_0:0:15965938', 'STEAM_0:0:11089864', 'STEAM_0:1:5774407', 'STEAM_0:1:12114951')
